# Get a Team

get ` https://app.mk.io/api/v1/organization/teams/:team_name`

Returns details of a single Team

RBAC Capability Required: `core.team.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your
auth token.

## Path parameters

team_name string Required

## Response

200 The team

- **kind** string Optional
  - The kind of record.
- **metadata** object [TeamMetadataSchema](https://docs.mediakind.com/api-reference/management-api/schemas/teammetadataschema) Required  
  Team metadata.
  - Show 2 properties Hide 2 properties
  - **id** string Required format: uuid  
      - The ID of the resource
  - **name** string Optional
      - The name of the resource
- **spec** object [TeamSpecSchemaRead](https://docs.mediakind.com/api-reference/management-api/schemas/teamspecschemaread) Required
  Team specification.
  - Show 3 properties Hide 3 properties
  - **description** string Optional 0-256 characters  
      - A description of the team.
  - **members** map from strings to object [TeamMemberSchemaRead](https://docs.mediakind.com/api-reference/management-api/schemas/teammemberschemaread) Optional
      - The list of members.
      - Show value schema Hide value schema
      - [any key] object
        - Show 3 properties Hide 3 properties
          - **email** string Required  
            - The email address of the team member
          - **isTeamAdmin** boolean Required  
            - Does this user have the ability to edit this team
          - **name** string Required  
            - The name of the team member
  - **scopes** map from strings to object [TeamScopeSchema](https://docs.mediakind.com/api-reference/management-api/schemas/teamscopeschema) Optional
      - The set of scopes this team has access to, and the roles on each.
      - Show value schema Hide value schema
      - [any key] object
        - Show 1 property Hide 1 property
          - **roles** list of strings Required  
            - The names of the roles.

## Errors

- **400 Bad Request**
  - **error** object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required  
    Pertinent information about the error
    - Show 3 properties Hide 3 properties
    - **code** string Required  
      - The error code.
    - **detail** string Required  
      - The error message.
    - **extraDetail** map from strings to any Optional  
      - Extra information regarding this error.
      - Show value schema Hide value schema
      - [any key] any
    - **ref** string Required  
      - A reference to the request that caused the error.
    - **status** integer Required  
      - The HTTP status code

- **401 Unauthorized**
  - (similar structure as above)

- **403 Forbidden**
  - (similar structure as above)

- **404 Not Found**
  - (similar structure as above)

- **429 Too Many Requests**
  - (similar structure as above)

- **500 Internal Server Error**
  - (similar structure as above)
